> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get introspect



## OpenAPI

````yaml /api-reference/4.2/service-introspect.json get /introspect
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service introspect
servers:
  - url: /api/apollo/
security: []
tags:
  - name: introspect
paths:
  /introspect:
    get:
      tags:
        - 4.2 Introspect API
      operationId: listServices
      parameters:
        - name: local
          in: query
          required: false
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  $ref: '#/components/schemas/ResourceDescriptor'
components:
  schemas:
    ResourceDescriptor:
      type: object
      properties:
        name:
          type: string
        uri:
          type: string
        baseApiUri:
          type: string
        methods:
          type: array
          items:
            $ref: '#/components/schemas/ResourceMethodDescriptor'
    ResourceMethodDescriptor:
      type: object
      properties:
        uri:
          type: string
        name:
          type: string
        verb:
          type: string
        pathParams:
          type: array
          items:
            $ref: '#/components/schemas/ParamNameAndClass'
        queryParams:
          type: array
          items:
            $ref: '#/components/schemas/ParamNameAndClass'
        hasEntity:
          type: boolean
          default: false
    ParamNameAndClass:
      type: object
      properties:
        name:
          type: string
        type:
          type: string

````